﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.Misc;

namespace ultraGroupBoxExpandCollapse
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraExpandableGroupBox2_ExpandedStateChanging(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
            Point clientPoint = ultraExpandableGroupBox2.PointToClient(MousePosition);
            UIElement clickedElement = this.ultraExpandableGroupBox2.UIElement.ElementFromPoint(clientPoint);
            if (clickedElement != null)
            {
                //MessageBox.Show(clickedElement.ToString());
                GroupBoxExpansionIndicatorUIElement groupButton = clickedElement.GetAncestor(typeof(GroupBoxExpansionIndicatorUIElement)) as GroupBoxExpansionIndicatorUIElement;

                if (groupButton != null)
                {
                    var originalSize = new Size(200, 241);
                    var newSize = new Size(200, 50);
                    if (ultraExpandableGroupBox2.Size == originalSize)
                    {
                        ultraExpandableGroupBox2.Size = newSize;
                    }
                    else
                    {
                        ultraExpandableGroupBox2.Size = originalSize;
                    }
                }
            }
        }
    }
}
